メインコンテンツへスキップ
GET
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
/
{blueprint_id}
/
contents
ブループリントのYAML用の事前署名付きURL
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/contents \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/contents"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/contents', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "expires_at": 123,
  "url": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

権限

組織レベルの ManageRepoBlueprints 権限を持つサービスユーザーが必要です。

動作

ブループリントのYAMLファイルをダウンロードするための事前署名付きURLを返します。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

パスパラメータ

blueprint_id
string
必須
org_id
string
必須

組織ID(プレフィックス: org-)

:

"org-abc123def456"

レスポンス

成功レスポンス

再利用可能な presigned URL レスポンス(TTL は 10 分)。

expires_at
integer
必須

URL の有効期限が切れる Unix タイムスタンプ。

url
string
必須

Presigned GET URL(HTTPS)。